#ifndef _EXTRAS_H_
#define _EXTRAS_H_

#include "stdinclu.h"

#define FADE_IN		0
#define FADE_OUT	1

void OrthoMode(int left, int top, int right, int bottom);

void PerspectiveMode();

void flash(float start, float end, float time, float intes);

void fade(int mode, float start, float end, float time);

void frontPlane();

void CreateRenderTexture(UINT textureArray[], int size, int channels, int type, int textureID);

void plane(float x, float y, float z, float width, float height, float uTile, float vTile);

void CreateBox(float x, float y, float z, float width, 
			   float height,  float length, float uscale, float vscale);

#endif